%define url_ver %(echo %{version}|cut -d. -f1,2)

%define	evolution_base_version	3.12
%define	api	1.2
%define	major	0
%define	libeews		%mklibname eews %{api} %{major}
%define	libewsutils	%mklibname ewsutils %{major}
%define	liblzx		%mklibname lzx %{major}
%define	devname		%mklibname eews -d

Summary:	Exchange Connector for Evolution, compatible with Exchange 2007 and later
Name:		evolution-ews
Version:	3.16.4
Release:	1
License:	LGPLv2+
Group:		Networking/Mail
Url:		http://projects.gnome.org/evolution/
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:	intltool
BuildRequires:	pkgconfig(camel-1.2) >= 3.12.1
BuildRequires:	pkgconfig(evolution-data-server-1.2) >= 3.12.1
BuildRequires:	pkgconfig(evolution-mail-3.0) >= 3.12.1
BuildRequires:	pkgconfig(evolution-shell-3.0) >= 3.12.1
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libebackend-1.2) >= 3.12.1
BuildRequires:	pkgconfig(libebook-1.2) >= 3.12.1
BuildRequires:	pkgconfig(libecal-1.2) >= 3.12.1
BuildRequires:	pkgconfig(libedata-book-1.2) >= 3.12.1
BuildRequires:	pkgconfig(libedata-cal-1.2) >= 3.12.1
BuildRequires:	pkgconfig(libemail-engine) >= 3.12.1
BuildRequires:	pkgconfig(libical)
BuildRequires:	pkgconfig(libmspack) >= 0.4
BuildRequires:	pkgconfig(libsoup-2.4)
BuildRequires:  pkgconfig(gnome-desktop-3.0)

Requires:       evolution-data-server
Requires:       evolution

%description
The EWS Exchange Connector for Evolution provides a Exchange backend
from evolution-data-server as well as plugins for Evolution to access
Exchange features.

The EWS Exchange Connector is using the Exchange Web Services interface
and is therefore compatible with Exchange 2007 and later.

Provides exchange connectivity for exchange server 2007 and later using
exchange web services protocol.

%package  -n %{libeews}
Summary:	Client library for Accessing Exchange Servers
Group:		System/Libraries

%description -n %{libeews}
This library is a client library for accessing Exchange servers through
the Exchange Web Services interface (compatible with Exchange 2007 and
later).

%package  -n %{libewsutils}
Summary:	Client library for Accessing Exchange Servers -- Utilities library
Group:		System/Libraries

%description -n %{libewsutils}
This library provides utilities API for EWS Exchange Connector.

%package -n %{devname}
Summary:	Client library for Accessing Exchange Servers - Development Files
Group:		Development/C
Requires:	%{libeews} = %{version}
Requires:	%{libewsutils} = %{version}

%description -n %{devname}
This library is a client library for accessing Exchange servers through
the Exchange Web Services interface (compatible with Exchange 2007 and
later).

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
	--disable-static --with-internal-lzx

%make LIBS='-lm'

%install
%makeinstall_std
find %{buildroot}%{_libdir} -name '*.la' -delete -print

%find_lang %{name}

%files -f %{name}.lang
%doc COPYING README
%{_libdir}/evolution-data-server/addressbook-backends/libebookbackendews.so
%{_libdir}/evolution-data-server/calendar-backends/libecalbackendews.so
%{_libdir}/evolution-data-server/camel-providers/libcamelews.so
%{_libdir}/evolution-data-server/camel-providers/libcamelews.urls
%{_libdir}/evolution-data-server/registry-modules/module-ews-backend.so
%{_libdir}/evolution/modules/module-ews-configuration.so
%{_datadir}/evolution/errors/module-ews-configuration.error
%{_datadir}/evolution-data-server/ews/windowsZones.xml
%{_datadir}/appdata/evolution-ews.*

%files -n %{libeews}
%dir %{_libdir}/evolution-data-server
%{_libdir}/evolution-data-server/libeews-%{api}.so.%{major}*

%files -n %{libewsutils}
%{_libdir}/evolution-data-server/libewsutils.so.%{major}*

%files -n %{devname}
%dir %{_libdir}/evolution-data-server
%{_libdir}/evolution-data-server/libeews-1.2.so
%{_libdir}/evolution-data-server/libewsutils.so
%{_includedir}/evolution-data-server/ews/


%changelog

* Mon Jul 13 2015 Tigro <ashejn@gmail.com> 3.16.4-1
- (add1a6e) update to 3.16.4

* Sun Jul 12 2015 Tigro <ashejn@gmail.com> 3.16.3-1
- (b8f0ef7) update to 3.16.3

* Tue May 12 2015 Tigro <ashejn@yandex-team.ru> 3.16.2-1
- (865d6b2) update to 3.16.2

* Mon Apr 13 2015 Tigro <ashejn@yandex-team.ru> 3.16.1-1
- (79fb542) update to 3.16.1

* Mon Mar 23 2015 Tigro <ashejn@yandex-team.ru> 3.16.0-1
- (a9a2af2) update to 3.16.0

* Tue Mar 17 2015 Tigro <ashejn@yandex-team.ru> 3.15.92-1
- (e3fe139) pack files
- (Tigro: 473a60b) fix configure call
- (Tigro: da44a48) update to 3.15.92

* Fri Mar 13 2015 Tigro <ashejn@yandex-team.ru> 3.15.91-1
- (c8f6b39) update to 3.15.91

* Thu Dec 11 2014 Tigro <ashejn@gmail.com> 3.12.9-1
- (b6f073f) update to 3.12.9

* Sat Oct 18 2014 Tigro <ashejn@gmail.com> 3.12.7-1
- (575842d) fix typo
- (Tigro: 63905bb) pack evolution-ewm.meta
- (Tigro: 6baa333) update to 3.12.7

* Wed Sep 10 2014 Tigro <ashejn@gmail.com> 3.12.6-1
- (67ae044) update to 3.12.6

* Fri Aug 08 2014 Tigro <ashejn@gmail.com> 3.12.4-1
- (d5270b2) update linkage patch
- (Tigro: 21bbc09) fix merge
- (Tigro: 046c60f) update to 3.12.4

* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 3.12.3-2
- (14676e6) MassBuild#440: Increase release tag

* Mon Jun 16 2014 Tigro <ashejn@gmail.com> 3.12.3-1
- (47f6fc2) update linkage patch
- (Tigro: 8abe07d) update to 3.12.3

* Tue May 13 2014 Tigro <ashejn@gmail.com> 3.12.2-1
- (d30280b) update to 3.12.2

* Mon May 12 2014 Tigro <ashejn@gmail.com> 3.12.1-1
- (9ed1219) drop pkg file
- (Tigro: ff345eb) pack some files
- (Tigro: e9c7c84) call another configure macro
- (Tigro: bb750a6) apply link patch
- (Tigro: d18d1f0) fix build
- (Tigro: 351fc76) added BR: gnome-desktop-3.0
- (Tigro: cd000e0) update requires
- (Tigro: e348dae) update to 3.12.1

* Tue Dec 10 2013 Tigro <ashejn@gmail.com> 3.8.5-1
- (94b9883) added BR: libebook-1.2
- (Tigro: 95ca5c1) added BR: libecal-1.2


